Skip to main content
GET
/
v1
/
businesses
/
{businessId}
/
documents
List documents
curl --request GET \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/documents \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "file_name": "<string>",
      "file_type": "<string>",
      "presigned_url": "<string>"
    }
  ],
  "meta": {
    "pagination": {
      "sort_by": "<string>",
      "cursor": "<string>",
      "has_more": true,
      "total_count": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

businessId
string<uuid>
required

The UUID of the business to fetch documents for.

Query Parameters

document_type
enum<string>

Filter documents by type. The type of document. RECEIPT is for receipts and invoices. UNSTRUCTURED_BOOKKEEPING_CONTEXT is for general bookkeeping context documents. OTHER is for any other document type.

Available options:
RECEIPT,
UNSTRUCTURED_BOOKKEEPING_CONTEXT,
OTHER
file_type
string

Filter documents by file MIME type (for example application/pdf or image/png).

Response

Success.

data
object[]
meta
object